%define aurox_ver 10.0
%define rel 1


%define name    k3b
%define version 0.11.11

%define desktop_file 1

Summary:   CD-Burner for KDE3
Name:      k3b
Version:   %{version}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
URL:       http://www.k3b.org
Group:     Applications/Archiving
Source:    k3b-%{version}.tar.bz2
Source1:   kde-k3bsetup2.desktop
Patch0:    k3b-0.11.6-menupl.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix:    /usr
Requires:  cdrecord >= 2.0, mkisofs >= 2.0, cdrdao >= 1.1
Requires: usermode-gtk
Requires: kdebase >= 3.1
BuildRequires: kdelibs-devel >= 3.1, qt-devel, audiofile-devel, XFree86-devel
BuildRequires: libart_lgpl-devel, libpng-devel
BuildRequires: libmad-devel, id3lib-devel
BuildRequires: libvorbis-devel, libogg-devel
BuildRequires: arts-devel

%description
K3b - The CD Creator - Writing cds under linux made easy. It has an extremely 
easy to use interface and supports many features: data/audio/video/mixed 
[on-the-fly] CD burning, CD copying, erasing and ripping, CD-text writing, 
burning iso/bin-cue images and many more.


%prep
%setup -n %{name}-%{version}

%build
WANT_AUTOCONF_2_5=1 make -f admin/Makefile.common
%configure
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor kde \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --delete-original \
   --add-category ";Application;AudioVideo;X-KDE-Base;X-Aurox-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/*.desktop

%endif

#add here
install -D -m 644 $RPM_BUILD_ROOT/usr/share/icons/crystalsvg/48x48/apps/k3b.png \
  $RPM_BUILD_ROOT/usr/share/pixmaps/k3b.png
cp -f %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applications/

# present in kdelibs 3.1.5
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-cue.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-iso.desktop
# not for Aurox
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc COPYING
%doc ChangeLog
%doc FAQ
%doc INSTALL
%doc README
%doc TODO
%{_bindir}/k3b*
%{_includedir}/k3b*.h
%{_includedir}/kcutlabel.h
%{_libdir}/libk3b*
%{_libdir}/kde3/*k3b*
%{_datadir}/applications/kde-k3b*.desktop
%dir %{_datadir}/apps/k3b
%{_datadir}/apps/k3b/*
%{_datadir}/apps/konqueror/servicemenus/k3b*.desktop
%dir %{_datadir}/doc/HTML/en/k3b
%{_datadir}/doc/HTML/en/k3b/*
%{_datadir}/icons/*/*/*/k3b.png
%{_datadir}/mimelnk/application/x-k3b.desktop
%{_datadir}/pixmaps/k3b.png
%{_datadir}/sounds/k3b*.wav


%changelog
* Fri Jun 18 2004 Aurox Team <aurox@aurox.org> 0:0.11.11-10.0.aur.1
- for Aurox 9.4
- new bugfix release
- new bugfix release
- add Polish translations for Konqueror menus
- write decent file list
- use bzipped2 sources
- new release
- add Polish translations to the menu label for konqueror services
- remove unneeded files
- resolve mimelnk conflict with kde 3.1.5
- update desktop file for k3bsetup2
- add more build requirements
- run k3bsetup with kdesu

* Tue Nov 04 2003 Jaroslav <jgorny@aurox.org> 0.10.1-9.1.aur.1
- spec updated for new k3b version

* Tue Jul 22 2003 Robert Glowczynski <robertg@software.com.pl> 0.9-9.1.aur.2
- fix desktop files

* Mon Jul 21 2003 Robert Glowczynski <robertg@software.com.pl> 0.9-9.1.aur.1
- upgrade to 0.9 release
- convert *.desktop files to Aurox menus

* Thu Jul 03 2003 Robert Glowczynski <robertg@software.com.pl> 0.9-9.1.aur.0.1
- Initial package for Aurox based on original k3b spec
- Use Group: Applications/Archiving
